Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WComboBox
Class WComboItems

    java.lang.Object
      LumiSoft.UI.Controls.WComboBox.WComboItems

    public class WComboItems

extends java.lang.Object

Combobox items collection.

Method Summary
`void` | `Add(java.lang.String text)` Adds item to items collection.
`void` | `Add(java.lang.String text, java.lang.Object tag)` Adds item to items collection.
`void` | `Clear()` Removes all items from collection.
`boolean` | `Contains(WComboItem item)` Gets if collection contains specified item.
`WComboItem` | `get(int index)` Gets item from specified index.
`int` | `getCount()` Gets number of items in collection.
`int` | `IndexOf(WComboItem item)` Gets item index in collection or -1 if item won't belong to this collection.
`void` | `Remove(WComboItem item)` Removes specified item from collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public void Add(java.lang.String text)

  Adds item to items collection.

  Parameters:
    `text` - Item text.

### Add

    public void Add(java.lang.String text,
                    java.lang.Object tag)

  Adds item to items collection.

  Parameters:
    `text` - Items text.
    `tag` - Item tag.

### Contains

    public boolean Contains(WComboItem item)

  Gets if collection contains specified item.

  Parameters:
    `item` - Item to check.
  Returns:
    Returns true if collection contains specified item.

### IndexOf

    public int IndexOf(WComboItem item)

  Gets item index in collection or -1 if item won't belong to this collection.

  Parameters:
    `item` -
  Returns:

### Remove

    public void Remove(WComboItem item)

  Removes specified item from collection.

  Parameters:
    `item` -

### Clear

    public void Clear()

  Removes all items from collection.

### get

    public WComboItem get(int index)

  Gets item from specified index.

  Parameters:
    `index` -
  Returns:

### getCount

    public int getCount()

  Gets number of items in collection.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD